%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           museek+
Version:        0.1.12
Release:        5%{?dist}
Summary:        A Soulseek filesharing client

Group:          Applications/Internet
License:        GPL
URL:            http://museek-plus.sourceforge.net/
Source0:        http://dl.sourceforge.net/museek-plus/%{name}-%{version}.tar.bz2
Source3:        museek-launcher
Patch0:         museeqdesktoppatch.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires: libxml++-devel
BuildRequires: qt-devel
BuildRequires: gamin-devel
BuildRequires: swig
BuildRequires: libvorbis-devel
BuildRequires: PyXML
BuildRequires: pygtk2-devel
BuildRequires: scons
BuildRequires: qt-qsa-devel

%description
Museek is a Soulseek filesharing client.

%prep
%setup -q
%patch0 -p0 -b .museeqdesktoppatch


%build
scons PREFIX=%{_prefix} MANDIR=%{_mandir}/man1 CFLAGS="$RPM_OPT_FLAGS -fPIC" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
scons DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install \
  --vendor=fedora \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category=X-Fedora \
  museeq.desktop

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
%{__install} -p -m 0644 icons/museeq-circle2.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

%{__install} -p -m 0755 %SOURCE3 ${RPM_BUILD_ROOT}%{_bindir}

cd icons
for th in museeq*.tar
do tar -xvf $th;
done
%{__install} -p -m 0644 CREDITS ${RPM_BUILD_ROOT}%{_datadir}/museek/museeq
mkdir ${RPM_BUILD_ROOT}%{_datadir}/museek/museeq/itheme
%{__install} -p -m 0644 itheme/* ${RPM_BUILD_ROOT}%{_datadir}/museek/museeq/itheme
mkdir ${RPM_BUILD_ROOT}%{_datadir}/museek/museeq/raven
%{__install} -p -m 0644 raven/* ${RPM_BUILD_ROOT}%{_datadir}/museek/museeq/raven


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING CREDITS LICENSE
%{_bindir}/mucous
%{_bindir}/mulog
%{_bindir}/muscan
%{_bindir}/muscand
%{_bindir}/museek-launcher
%{_bindir}/museekcontrol
%{_bindir}/museekd
%{_bindir}/museeq
%{_bindir}/musetup
%{_bindir}/musetup-gtk
%{python_sitelib}/museek
%{python_sitelib}/pymucous
%{python_sitelib}/_mucipherc.so
%{python_sitelib}/mucipher.py*
%{python_sitelib}/mucipherc.py*
%{_datadir}/applications/fedora-museeq.desktop
%{_datadir}/museek
%{_datadir}/pixmaps/museeq-circle2.png
%{_mandir}/man1/*.1.gz



%changelog
* Sat Dec 23 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-5
- Added QSA support
- Use macros for install command

* Tue Dec 12 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-4
- Changed museek-launcher header to #!/bin/sh

* Tue Dec 12 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-3
- Fixed museek-launcher permissions
- Fixed %%changelog section
- Updated museek-launcher script
- Use $RPM_OPT_FLAGS instead %%{optflags} for consistency
- Add -fPIC to $RPM_OPT_FLAGS to make x86-64 build possible

* Thu Nov 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-2
- Made spec more compliant to FE Packaging Guidelines

* Sat Oct 21 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-1
- Update to 0.1.12
- Added scons to BuildRequires

* Mon Jul 17 2006 Dario Castellarin <requiem1348[at]yahoo[dot]it> - 0.1.11-1
- Update to 0.1.11

* Sat Jun 10 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.10-2
- Added python-devel to BuildRequires

* Fri Jun 9 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.10-1
- Update to 0.1.10
- Drop bluebox fix, as it was added to upstream
- Added PyXML to BuildRequires

* Thu May 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.9-2
- Add bluebox theme fix

* Thu May 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.9-1
- Update to 0.1.9
- Install icon themes into %%{_datadir}/museek/themes/
- Added new tools

* Thu May 18 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.8-1
- Update to 0.1.8
- Added libvorbis-devel to BuildRequires

* Wed May 10 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.7b-1
- Update to 0.1.7b

* Mon May 08 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.6-1
- Update to 0.1.6
- Remove patches/sources which were added to upstream
- Drop scons dependence as the internal one is used

* Sun Apr 09 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.2-1
- Initial RPM release
